PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PROJECT_ID="3fa85f64-5717-4562-b3fc-2c963f66afa6"
curl -X GET "https://api.pinecone.io/admin/projects/$PROJECT_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "X-Pinecone-Api-Version: 2025-10" \
-H "accept: application/json"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "example-project",
"max_pods": 0,
"force_encryption_with_cmek": false,
"organization_id": "string",
"created_at": "2025-03-17T00:30:23.262Z"
}
Projects
Get project details
Get details about a project.
GET
/
admin
/
projects
/
{project_id}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PROJECT_ID="3fa85f64-5717-4562-b3fc-2c963f66afa6"
curl -X GET "https://api.pinecone.io/admin/projects/$PROJECT_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "X-Pinecone-Api-Version: 2025-10" \
-H "accept: application/json"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "example-project",
"max_pods": 0,
"force_encryption_with_cmek": false,
"organization_id": "string",
"created_at": "2025-03-17T00:30:23.262Z"
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PROJECT_ID="3fa85f64-5717-4562-b3fc-2c963f66afa6"
curl -X GET "https://api.pinecone.io/admin/projects/$PROJECT_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "X-Pinecone-Api-Version: 2025-10" \
-H "accept: application/json"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "example-project",
"max_pods": 0,
"force_encryption_with_cmek": false,
"organization_id": "string",
"created_at": "2025-03-17T00:30:23.262Z"
}
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Headers
Required date-based version header
Path Parameters
Project ID
Response
The details of a project.
The details of a project.
The unique ID of the project.
The name of the project.
Required string length:
1 - 512The maximum number of Pods that can be created in the project.
Whether to force encryption with a customer-managed encryption key (CMEK).
The unique ID of the organization that the project belongs to.
The date and time when the project was created.
Was this page helpful?
⌘I